## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 17;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-vecrec
Version:        0.3.1
Release:        %autorelease
Summary:        2D vector and rectangle library

# SPDX
License:        MIT
URL:            https://github.com/kxgames/vecrec
Source:         %{pypi_source vecrec}

# Use flit_core as the build backend
#
# Don’t require all of flit to build a wheel.
Patch:          %{url}/pull/3.patch

BuildArch:      noarch

BuildRequires:  python3-devel

BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
This package provides 2D vector and rectangle classes. These classes were
written to be used in games, so they have some methods that conveniently tie
into pyglet and pygame, but for the most part they are quite general and could
be used for almost anything.}
%description %{common_description}


%package -n python3-vecrec
Summary:        %{summary}

Obsoletes:      python-vecrec-doc < 0.3.1-3

%description -n python3-vecrec %{common_description}


%prep
%autosetup -n vecrec-%{version} -p1

# Patch out coverage dependencies
sed -r -i '/\b(pytest-cov|coveralls)\b/d' pyproject.toml
sed -r -i \
    -e 's/[[:blank:]]--cov[^=[:blank:]]*[= ][^[:blank:]]+//g' \
    -e 's/--no-cov[^[:blank:]]*//g' \
    tests/pytest.ini

# Remove shebangs from modules. These are not script-like, so shebangs are
# useless. The find-then-modify pattern keeps us from discarding mtimes on
# any sources that do not need modification.
find vecrec -type f -exec \
    gawk '/^#!/ { print FILENAME }; { nextfile }' '{}' '+' |
  xargs -r -t sed -r -i '1{/^#!/d}'


%generate_buildrequires
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files vecrec


%check
%pytest tests


%files -n python3-vecrec -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Sat Feb 10 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-17
- Fix wrong PR URL / wrong patch (fix RHBZ#2263616)

* Mon Jan 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-16
- Fix FTBFS (close RHBZ#2260830)

* Fri Jan 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-14
- Use flit_core as the build backend

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-11
- Fix missing license file in python3-vecrec

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 0.3.1-9
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-6
- Confirm License is SPDX MIT

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.3.1-4
- Rebuilt for Python 3.11

* Fri Mar 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-3
- Completely disable documentation

* Fri Mar 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-2
- Fix and enable Sphinx-generated PDF documentation

* Wed Mar 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-1
- Update to 1.3.1 (close RHBZ#2037893)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.0-1
- Initial package (close RHBZ#2023407)
## END: Generated by rpmautospec
